# ## Configure 'ip' variable to bind kubernetes services on a
# ## different ip than the default iface
# ## We should set etcd_member_name for etcd cluster. The node that is not a etcd member do not need to set the value, or can set the empty string value.
[all]
kubmst01 ansible_host=109.248.175.147 ip=109.248.175.147
kubmst02 ansible_host=109.248.175.48 ip=109.248.175.48
kubwrk01 ansible_host=109.248.175.247 ip=109.248.175.247
kubwrk02 ansible_host=109.248.175.136 ip=109.248.175.136
kubwrk03gpu ansible_host=109.248.175.73 ip=109.248.175.73
; kubwrk03 ansible_host=35.246.148.162 ip=10.156.0.8
; kubwrk04 ansible_host=35.242.223.39 ip=10.156.0.7
; kubwrk05 ansible_host=34.89.196.202 ip=10.156.0.10

# ## configure a bastion host if your nodes are not directly reachable
# [bastion]
# bastion ansible_host=x.x.x.x ansible_user=some_user

[kube_control_plane]
kubmst01
kubmst02

# должно быть нечетное количество хостов
[etcd]
kubmst01
kubmst02
kubwrk01

[kube_node]
kubwrk01
kubwrk02
kubwrk03gpu

[calico_rr]

[k8s_cluster:children]
kube_control_plane
kube_node
calico_rr
